feed2imap (1.3.5-1) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Antonio Terceiro ]
  * New upstream version 1.3.5

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 24 Dec 2025 16:14:05 -0300

feed2imap (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 20 Dec 2024 08:33:21 -0300

feed2imap (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
    - Fixes loading configuration files on ruby3.1 (Closes: #1019605)
  * Bump Standards-Version to 4.6.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 13 Sep 2022 14:07:16 -0300

feed2imap (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 15 Feb 2022 11:12:09 -0300

feed2imap (1.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on ruby-feedparser.
  * Bump debhelper from old 12 to 13.

  [ Antonio Terceiro ]
  * New upstream version 1.3.0
  * Bump Standards-Version to 4.6.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 28 Nov 2021 19:26:49 -0300

feed2imap (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
    - Adds explicit dependency on rmail (Closes: #980353)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 18 Jan 2021 09:38:57 -0300

feed2imap (1.2.6-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of the source package

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Update Vcs-* headers from vcswatch.

  [ Antonio Terceiro ]
  * debian/watch: point at gemwatch.debian.net
  * New upstream version 1.2.6
  * Refresh packaging files with new dh-make-ruby run.
  * debian/control:
    - Bump Standards-Version to 4.5.1
    - Point Vcs-*: at salsa
    - Point Homepage: at github repository
    - Add Testsuite: autopkgtest-pkg-ruby
    - add Rules-Requires-Root: no
    - Drop explicit dependency on ruby
  * debian/upstream/metadata: added
  * debian/rules: replace with new template from dh-make-ruby
    - check dependencies during build
    - Install using the Rubygems layout

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Jan 2021 12:10:13 -0300

feed2imap (1.2.5-1) unstable; urgency=medium

  * New upstream release.
    - fixes regresion in `include-images` option (Closes: #784591)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 10 May 2015 20:46:32 -0300

feed2imap (1.2.4-1) unstable; urgency=medium

  * New upstream release
    - contains *only* a fix for the usage of filters (Closes: #783444)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 May 2015 21:05:40 -0300

feed2imap (1.2.3-2~exp1) experimental; urgency=medium

  * Team upload.

  [ Lucas Nussbaum ]
  * Update my email address.

  [ Sebastien Badia ]
  * Target experimental and build with ruby 2.2.
  * Lintian fix (copyright-refers-to-symlink-license) and rewrite completely
    the copyright file (use 1.0 standard).
  * Bump Standards-Version to 3.9.6 (no further changes)
  * Update Vcs-Browser to cgit URL and HTTPS

 -- Sebastien Badia <seb@sebian.fr>  Fri, 10 Apr 2015 12:19:09 +0200

feed2imap (1.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Includes fix for feed2imap-cleaner deleting all messages on maildirs
      (Closes: #762292)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Oct 2014 18:39:47 -0300

feed2imap (1.2.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes regression when dealing with documented syntax in configuration
      file caused by the move away from Ruby 1.8 (Closes: #731073)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 07 Feb 2014 09:56:58 -0300

feed2imap (1.2-2) unstable; urgency=low

  * Upload to unstable. I have used this, fetching 30+ feeds daily without
    problems for more than one month now.
  * debian/control: add myself to Uploaders:

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 06 Oct 2013 10:58:35 -0300

feed2imap (1.2-1) experimental; urgency=low

  * Team upload
  * New upstream version. Requires ruby-feedparser >= 0.9.2, debian/control
    adjusted accordingly.
  * Do not run tests against Ruby 1.8 since that is not really supported any
    more.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 27 Aug 2013 22:32:35 -0300

feed2imap (1.1-1) experimental; urgency=low

  * Team upload.

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields

  [ Antonio Terceiro ]
  * debian/watch: point to my location for new upstream version
  * New upstream version, adds Ruby 1.9 support
  * debian/control:
    - bump dependency on ruby-feedparser to >= 0.8~1
    - Change dependeny from transitional package librmail-ruby1.8 to
      ruby-rubymail
    - Bump Standards-Version to 3.9.4; no changes needed
  * debian/ruby-tests.rb: load all tests but one that requires network

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Aug 2013 18:36:13 -0300

feed2imap (1.0-2) unstable; urgency=low

  * Switch to gem2deb packaging.
    + build only for Ruby 1.8 as rmail is only available for 1.8.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 17 Apr 2011 18:52:44 +0200

feed2imap (1.0-1) unstable; urgency=low

  * New upstream release. Closes: #577795.
  * Bumped Standards-Version to 3.8.4. No changes needed.


 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 18 Apr 2010 14:53:50 +0200

feed2imap (0.9.4-1) unstable; urgency=low

  * New upstream release. Includes an updated version of ruby's imap.rb
    that Closes: #538331.
  * Update to policy 3.8.2; no changes needed.
  * Move ruby-pkg-tools to Build-Depends so lintian is happier. also
    move others Build-Depends-Indep to Build-Depends. We don't build any
    arch-specific package anyway, so splitting Build-Depends-Indep and
    Build-Depends in pointless.
  * Add misc:Depends to Depends so lintian is happier.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 28 Jul 2009 00:19:28 +0200

feed2imap (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.8.0. No changes neded.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 23 Jul 2008 21:07:59 +0200

feed2imap (0.9.2-2) unstable; urgency=low

  * Added Vcs-Svn and Vcs-Browser
  * Upgraded to policy 3.7.3. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 24 Dec 2007 16:37:14 +0100

feed2imap (0.9.2-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * New upstream release.

  [ Arnaud Cornet ]
  * Use new Homepage dpkg header.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 28 Oct 2007 21:12:21 +0100

feed2imap (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 15 May 2007 23:41:15 +0200

feed2imap (0.9-1) unstable; urgency=low

  * New upstream release.
    + Merged options parsing patch.
    + Added debugging mode (Closes: #385854).
  * dropped the uploaders rule.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 15 May 2007 16:48:55 +0200

feed2imap (0.8-2) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * Applied patch from Paul van Tilburg to enhance options parsing.
    Closes: #385855.
  * Urgency=medium because this upload fixes an important bug, includes very
    few changes, and was throughtly tested.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 13 Nov 2006 23:22:13 +0100

feed2imap (0.8-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Upgraded to policy 3.7.2. No changes required.
  * Build-dep on debhelper >= 5.
  * New upstream release.
  * New always-new flag in the config file to consider all items as new
    for a feed (closes: #366878).
  * When disconnecting from the IMAP server, don't display an exception
    in non-verbose mode if "connection is reset by peer" (closes: #367282).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 13 Jun 2006 16:32:31 +0200

feed2imap (0.7-2) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Set the Maintainer field back to me. I will be mainly responsible
    for this package.

  [ Paul van Tilburg ]
  * Updated the team substvar to @RUBY_EXTRAS_TEAM@ in control, update
    the Build-Depend-Indep on ruby-pkg-tools.

 -- Paul van Tilburg <paulvt@debian.org>  Thu, 30 Mar 2006 14:09:47 +0200

feed2imap (0.7-1) unstable; urgency=low

  * New upstream release:
    - Don't display the password in error messages (closes: #350370).
    - Upload mail with the Item time, not the upload time (closes: #350371).
  * Set the Maintainer field to the Debian/Ruby Extras team's name and
    address in debian/control.in since the package is team maintained.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 17 Feb 2006 16:34:26 +0100

feed2imap (0.6-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * New upstream release.
    - Feed2Imap displays a warning if the configuration file is world-readable
      (closes: #323561).
    - Now depends on libfeedparser-ruby to parse feeds. libfeedparser-ruby
      also integrates many fixes (closes: #335807).
    - Charset fixes: now uses UTF-8 for both plain text and HTML parts
      (closes: #330981).

  [ Paul van Tilburg ]
  * Added missing Build-Depend-Indep on ruby-pkg-tools and cdbs.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 11 Jan 2006 22:59:13 +0000

feed2imap (0.5-1) unstable; urgency=low

  * New upstream release.
    - Feed2Imap can now work without OpenSSL (closes: #326750, #327213).
    - Fixed IMAP protocol incompatibility (closes: #328573).
  * Improved description in debian/control.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 19 Sep 2005 16:20:24 +0200

feed2imap (0.4-4) unstable; urgency=low

  * Added more precise copyright statement
  * Added a debian/watch file

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue,  2 Aug 2005 12:24:21 +0200

feed2imap (0.4-3) unstable; urgency=low

  * Added website adress to Description.
  * 0.4-2 was using debian/tmp instead of debian/feed2imap in
    debian/rules

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue,  2 Aug 2005 11:12:04 +0200

feed2imap (0.4-2) unstable; urgency=low

  * changed to a non-native Debian package.
  * Changed Build-Depends to Build-Depends-Indep
  * Now installs to /usr/lib/ruby/1.8 instead of /usr/lib/site_ruby/1.8.
  * DH_VERBOSE turned off.
  * Set debhelper compatibility level to 4.
  * Improved Description.
  * Now uses dh_fixperms to fix permissions.
  * Removed unused install target in debian/rules.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 27 Jul 2005 11:26:25 +0200

feed2imap (0.4-1) unstable; urgency=low

  * First Debian Package.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 22 Jul 2005 14:00:00 +0100
